/*
SQLyog Enterprise - MySQL GUI v6.15
MySQL - 5.0.77 : Database - BugRepro
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

create database if not exists `BugRepro`;

create user if not exists `testuser` IDENTIFIED BY 'pa$$w0rd';



USE `BugRepro`;

/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

/*Table structure for table `IP_SIGN_PAGING_DEVICE` */

DROP TABLE IF EXISTS `IP_SIGN_PAGING_DEVICE`;

CREATE TABLE `IP_SIGN_PAGING_DEVICE` (
  `ID` int(11) NOT NULL,
  `IP_ADDRESS` varchar(15) NOT NULL,
  `PORT` int(5) NOT NULL,
  `NUMBER_OF_LINES` int(11) NOT NULL default '5',
  `CHARACTERS_PER_LINE` int(11) NOT NULL default '20',
  `PROTOCOL` varchar(10) default NULL,
  PRIMARY KEY  (`ID`),
  CONSTRAINT `FK_PAGINGDEVICE_IPSIGNPAGINGDEVICE` FOREIGN KEY (`ID`) REFERENCES `PAGING_DEVICE` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `IP_SIGN_PAGING_DEVICE` */

insert  into `IP_SIGN_PAGING_DEVICE`(`ID`,`IP_ADDRESS`,`PORT`,`NUMBER_OF_LINES`,`CHARACTERS_PER_LINE`,`PROTOCOL`) values (1,'172.17.7.148',8080,5,20,NULL),(2,'10.10.10.10',1090,5,20,NULL),(4,'127.0.0.1',8080,5,20,NULL),(5,'127.0.0.1',8080,5,20,NULL),(9,'127.0.0.1',8080,5,20,NULL),(15,'127.0.0.1',3000,5,20,NULL),(17,'10.236.0.230',8000,5,20,NULL);

/*Table structure for table `LOADING_STATION` */

DROP TABLE IF EXISTS `LOADING_STATION`;

CREATE TABLE `LOADING_STATION` (
  `ID` int(11) NOT NULL auto_increment,
  `NAME` varchar(100) default NULL,
  `DELETED` tinyint(1) NOT NULL default '0',
  `SHORT_NAME` varchar(10) default NULL,
  `SIGN_NAME` varchar(10) default NULL,
  `LOCATION` varchar(100) default NULL,
  `ACTIVE` tinyint(1) NOT NULL default '1',
  `AUTOMATED` tinyint(1) NOT NULL default '0',
  `TIMEOUT` int(11) default NULL,
  `CURRENT_VEHICLE_ID` int(11) default NULL,
  `CURRENT_VEHICLE_TIMESTAMP` datetime default NULL,
  `QUEUED_VEHICLE_ID` int(11) default NULL,
  `QUEUED_VEHICLE_TIMESTAMP` datetime default NULL,
  `ENTRANCE_CHECKPOINT_ID` int(11) default NULL,
  `EXIT_CHECKPOINT_ID` int(11) default NULL,
  `QUEUE_LENGTH` int(11) default NULL,
  `QUEUE_REMOVAL_TRIGGER` enum('DEPARTED','LOADED','UNKNOWN') NOT NULL default 'UNKNOWN',
  `USE_TTA_RESULTS` tinyint(1) NOT NULL default '0',
  `ROUTE_ENTRANCE_MESSAGE` varchar(255) default NULL,
  `LAST_UPDATED_ON` datetime NOT NULL,
  `LAST_UPDATED_BY` varchar(20) NOT NULL,
  PRIMARY KEY  (`ID`),
  KEY `FK_LOADING_STATION_CURRENT_VEHICLE` (`CURRENT_VEHICLE_ID`),
  KEY `FK_LOADING_STATION_QUEUED_VEHICLE` (`QUEUED_VEHICLE_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

/*Data for the table `LOADING_STATION` */

insert  into `LOADING_STATION`(`ID`,`NAME`,`DELETED`,`SHORT_NAME`,`SIGN_NAME`,`LOCATION`,`ACTIVE`,`AUTOMATED`,`TIMEOUT`,`CURRENT_VEHICLE_ID`,`CURRENT_VEHICLE_TIMESTAMP`,`QUEUED_VEHICLE_ID`,`QUEUED_VEHICLE_TIMESTAMP`,`ENTRANCE_CHECKPOINT_ID`,`EXIT_CHECKPOINT_ID`,`QUEUE_LENGTH`,`QUEUE_REMOVAL_TRIGGER`,`USE_TTA_RESULTS`,`ROUTE_ENTRANCE_MESSAGE`,`LAST_UPDATED_ON`,`LAST_UPDATED_BY`) values (1,'BIODIESEL LOADOUT',0,'BIOLOAD','Sign','WEST GATE',1,0,900,NULL,NULL,NULL,NULL,NULL,NULL,3,'DEPARTED',0,NULL,'2010-03-08 22:14:36','NA\\A138805'),(2,'Oil Loading 2',0,'OIL2','Sign1','East Gate',1,0,300,NULL,NULL,NULL,NULL,NULL,NULL,2,'LOADED',0,NULL,'2010-03-08 22:14:37','NA\\A138805'),(3,'Oil Loadout',0,'EGOIL','Sign2','East Gate',1,0,60,NULL,NULL,NULL,NULL,NULL,NULL,5,'LOADED',0,NULL,'2010-03-08 22:14:37','NA\\A138805'),(4,'Loading Station1',1,NULL,NULL,NULL,1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,0,'DEPARTED',1,NULL,'2009-03-09 01:23:11','NA\\A339144'),(5,'Loading Station1',0,NULL,NULL,NULL,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,0,'DEPARTED',0,NULL,'2010-03-08 22:14:37','NA\\A138805'),(6,'Corn Dump 1',0,NULL,NULL,NULL,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,0,'DEPARTED',0,NULL,'2010-03-08 22:14:37','NA\\A138805'),(7,'Corn Dump 2',0,NULL,NULL,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'DEPARTED',0,NULL,'2010-04-05 18:47:41','NA\\A339144'),(8,'Corn Dump 3',0,NULL,NULL,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'DEPARTED',0,NULL,'2010-04-05 18:47:52','NA\\A339144');

/*Table structure for table `PAGER_PAGING_DEVICE` */

DROP TABLE IF EXISTS `PAGER_PAGING_DEVICE`;

CREATE TABLE `PAGER_PAGING_DEVICE` (
  `ID` int(11) NOT NULL,
  `EMAIL_ADDRESS` varchar(100) NOT NULL,
  `VEHICLE_ID` int(11) default NULL,
  `PAGER_ID` varchar(50) default NULL,
  `PAGER_CODE` varchar(50) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `FK_PAGER_PAGING_DEVICE_VEHICLE` (`VEHICLE_ID`),
  CONSTRAINT `FK_PAGINGDEVICE_PAGERPAGINGDEVICE` FOREIGN KEY (`ID`) REFERENCES `PAGING_DEVICE` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `PAGER_PAGING_DEVICE` */

insert  into `PAGER_PAGING_DEVICE`(`ID`,`EMAIL_ADDRESS`,`VEHICLE_ID`,`PAGER_ID`,`PAGER_CODE`) values (3,'Robert.Hood@adm.com',NULL,NULL,NULL),(7,'Ryan.Peelman@admworld.com',NULL,NULL,NULL),(8,'pager1234@pager.net',NULL,NULL,NULL),(11,'Ryan.Peelman@adm.com',NULL,NULL,NULL),(12,'William.Cogan@adm.com',NULL,NULL,NULL),(13,'Marshall.Millard@adm.com',4,NULL,NULL),(14,'email@email.net',NULL,NULL,NULL);

/*Trigger structure for table `PAGER_PAGING_DEVICE` */

DELIMITER $$

/*!50003 DROP TRIGGER*//*!50032 IF EXISTS */ /*!50003 `PAGE_AUDIT_UPD` */$$

/*!50003 CREATE TRIGGER `PAGE_AUDIT_UPD` BEFORE UPDATE ON `PAGER_PAGING_DEVICE` FOR EACH ROW BEGIN
	if ((new.VEHICLE_ID is not null) and (old.VEHICLE_ID is not null) and (new.VEHICLE_ID != old.VEHICLE_ID)) then 
		-- reassignment
		insert into PAGER_ASSIGNMENT_AUDIT(`PAGER_ID`, `VEHICLE_ID`, `TYPE`, `AUDIT_DATE`)
		values (new.ID, old.VEHICLE_ID, "UNASSIGN", now());	
		insert into PAGER_ASSIGNMENT_AUDIT(`PAGER_ID`, `VEHICLE_ID`, `TYPE`, `AUDIT_DATE`)
		values (new.ID, new.VEHICLE_ID, "ASSIGN", now());	
	end if;
	if ((new.VEHICLE_ID is not null) and (old.VEHICLE_ID is null)) then -- assignment
		insert into PAGER_ASSIGNMENT_AUDIT(`PAGER_ID`, `VEHICLE_ID`, `TYPE`, `AUDIT_DATE`)
		values (new.ID, new.VEHICLE_ID, "ASSIGN", now());				
	end if;
	if ((new.VEHICLE_ID is null) and (old.VEHICLE_ID is not null)) then -- unassignment
		insert into PAGER_ASSIGNMENT_AUDIT(`PAGER_ID`, `VEHICLE_ID`, `TYPE`, `AUDIT_DATE`)
		values (new.ID, old.VEHICLE_ID, "UNASSIGN", now());	
	end if;
END */$$


DELIMITER ;

/*Table structure for table `PAGING_DEVICE` */

DROP TABLE IF EXISTS `PAGING_DEVICE`;

CREATE TABLE `PAGING_DEVICE` (
  `ID` int(11) NOT NULL auto_increment,
  `NAME` varchar(50) NOT NULL,
  `ACTIVE` tinyint(1) NOT NULL default '1',
  `DELETED` tinyint(1) NOT NULL default '0',
  `LAST_UPDATED_ON` datetime NOT NULL,
  `LAST_UPDATED_BY` varchar(20) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

/*Data for the table `PAGING_DEVICE` */

insert  into `PAGING_DEVICE`(`ID`,`NAME`,`ACTIVE`,`DELETED`,`LAST_UPDATED_ON`,`LAST_UPDATED_BY`) values (1,'IP Sign',0,1,'2009-05-22 14:28:23','NA\\A339144'),(2,'Entity Sign1',0,1,'2009-04-15 16:31:43','NA\\A339144'),(3,'Pager0001',1,0,'2010-03-03 16:38:09','NA\\A138805'),(4,'GTEC IP Sign',0,1,'2009-05-22 14:28:44','NA\\A339144'),(5,'IP Sign24',0,1,'2009-04-15 16:31:44','NA\\A339144'),(6,'My Serial Sign',0,1,'2009-05-22 14:28:44','NA\\A339144'),(7,'Ryan\'s pager',0,1,'2009-05-22 14:28:44','NA\\A339144'),(8,'Pager1234',0,1,'2009-05-22 14:28:44','NA\\A339144'),(9,'Main Sign',0,1,'2009-04-15 16:31:48','NA\\A339144'),(10,'Serial Sign1',0,1,'2009-05-22 14:28:44','NA\\A339144'),(11,'Pager0002',1,0,'2010-03-05 11:24:50','NA\\A138805'),(12,'Pager0003',1,0,'2010-03-05 11:24:46','NA\\A138805'),(13,'Pager0004',0,0,'2010-03-02 17:07:39','NA\\A138805'),(14,'Pager1',0,0,'2010-03-02 17:07:39','NA\\A138805'),(15,'IP Sign1',0,0,'2010-03-05 21:14:17','NA\\A138805'),(16,'Serial Sign1',0,0,'2010-03-08 16:38:36','NA\\A138805'),(17,'Mainz Scale Sign',1,0,'2010-03-05 21:14:17','NA\\A138805'),(18,'Speaker',1,0,'2011-01-01 00:00:00','NA\\A339144');

/*Table structure for table `SERIAL_SIGN_PAGING_DEVICE` */

DROP TABLE IF EXISTS `SERIAL_SIGN_PAGING_DEVICE`;

CREATE TABLE `SERIAL_SIGN_PAGING_DEVICE` (
  `ID` int(11) NOT NULL,
  `BAUD_RATE` int(11) NOT NULL,
  `DATA_BITS` int(11) NOT NULL,
  `PORT_NAME` varchar(50) default NULL,
  `PARITY` enum('None','Odd','Even','Mark','Space') default 'None',
  `STOP_BITS` enum('None','One','OnePointFive','Two') default 'None',
  `NUMBER_OF_LINES` int(11) NOT NULL default '5',
  `CHARACTERS_PER_LINE` int(11) NOT NULL default '20',
  `PROTOCOL` varchar(10) default NULL,
  PRIMARY KEY  (`ID`),
  CONSTRAINT `FK_PAGINGDEVICE_SERIALSIGNPAGINGDEVICE` FOREIGN KEY (`ID`) REFERENCES `PAGING_DEVICE` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `SERIAL_SIGN_PAGING_DEVICE` */

insert  into `SERIAL_SIGN_PAGING_DEVICE`(`ID`,`BAUD_RATE`,`DATA_BITS`,`PORT_NAME`,`PARITY`,`STOP_BITS`,`NUMBER_OF_LINES`,`CHARACTERS_PER_LINE`,`PROTOCOL`) values (6,9600,256,'COM1','Even','OnePointFive',5,20,NULL),(10,4800,128,NULL,'None','None',5,20,NULL),(16,0,128,NULL,'None','None',5,20,NULL);

/*Table structure for table `SPEAKER_PAGING_DEVICE` */

DROP TABLE IF EXISTS `SPEAKER_PAGING_DEVICE`;

CREATE TABLE `SPEAKER_PAGING_DEVICE` (
  `ID` int(11) NOT NULL,
  `IP_ADDRESS` varchar(15) NOT NULL,
  `TCP_PORT` int(11) NOT NULL,
  PRIMARY KEY  (`ID`),
  CONSTRAINT `FK_PAGINGDEVICE_SPEAKERPAGINGDEVICE` FOREIGN KEY (`ID`) REFERENCES `PAGING_DEVICE` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `SPEAKER_PAGING_DEVICE` */

insert  into `SPEAKER_PAGING_DEVICE`(`ID`,`IP_ADDRESS`,`TCP_PORT`) values (18,'192.168.1.1',4500);

/*Table structure for table `XREF_PAGING_DEVICE_LOADING_STATION` */

DROP TABLE IF EXISTS `XREF_PAGING_DEVICE_LOADING_STATION`;

CREATE TABLE `XREF_PAGING_DEVICE_LOADING_STATION` (
  `PAGING_DEVICE_ID` int(11) NOT NULL,
  `LOADING_STATION_ID` int(11) NOT NULL,
  PRIMARY KEY  (`PAGING_DEVICE_ID`,`LOADING_STATION_ID`),
  KEY `FK_PAGINGDEVICELOADINGSTATION_LOADINGSTATION` (`LOADING_STATION_ID`),
  CONSTRAINT `FK_PAGINGDEVICELOADINGSTATION_LOADINGSTATION` FOREIGN KEY (`LOADING_STATION_ID`) REFERENCES `LOADING_STATION` (`ID`),
  CONSTRAINT `FK_PAGINGDEVICELOADINGSTATION_PAGINGDEVICE` FOREIGN KEY (`PAGING_DEVICE_ID`) REFERENCES `PAGING_DEVICE` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `XREF_PAGING_DEVICE_LOADING_STATION` */

insert  into `XREF_PAGING_DEVICE_LOADING_STATION`(`PAGING_DEVICE_ID`,`LOADING_STATION_ID`) values (17,1),(17,2),(17,3),(17,5),(17,6);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;

GRANT ALL ON BugRepro.* to `testuser`@`%`;
